{% extends 'interface/home.twig' %}
{% block content %}

<ol class="breadcrumb">
  <li class="breadcrumb-item"><a href="{{ path_for('homepage') }}">Home</a></li>
  <li class="breadcrumb-item"><a {% if reserva %} href="{{ path_for('agenda.show', {id:reserva.salaid.id} ) }}" {% else %} href="{{ path_for('agenda.show', {id:idSala} ) }}" {% endif %} >Agenda</a></li>
  <li class="breadcrumb-item active">Agendamento</li>
</ol>

{% include 'error/error.twig' %}
{% include 'flash/flash.twig' %}

	<form method="POST"  {% if reserva %} action="{{ path_for('agenda.update', {id:reserva.id} ) }}" {% else %} action="{{ path_for('agenda.insert') }}" {% endif %}>
	  <div style="width: 70%; margin: auto;">
		  <div class="form-group" style="margin-top: 3%;">
		    <label for="sala">Sala</label>
		    <input type="text" class="form-control" id="sala"  value="{% if reserva %} {{ reserva.salaid.numero }} {% else %} {{ sala.numero }} {% endif %}" required readonly>
		    <input type="hidden" class="form-control" id="salaId"  name="salaId" value="{% if reserva %} {{ reserva.salaid.id }} {% else %} {{ sala.id }} {% endif %}">
		  </div>
		  <div class="form-group">
		      <label>Data Inicial</label>
		      <input type='text' class="form-control date datepicker" name="data" data-date-format='dd/mm/yyyy' value="{% if reserva %} {{ reserva.data.date|date('d/m/Y') }} {% else %} {{ 'now'|date('d/m/Y') }} {% endif %}"/>
		  </div>
		  <div class="form-group">
		    <label for="hora">{% if reserva %}Novo{% endif %} Horário</label>
		    <select class="form-control" id="hora" name="hora" required>
		      {% for hora in horas %}
		      	<option value="{{ hora.hora }}"  {% if reserva.horarioinicio.date|date('H:i') == hora.hora %} selected {% endif %} >{{ hora.hora }}</option>
		      {% endfor %}
		    </select>
		  </div>
		  <div class="form-group">
	      	<label for="descricao">Motivo</label>
	      	<textarea class="form-control" id="descricao" name="motivo" rows="5" placeholder="Digite do motivo do agendamento" required>{{ reserva.motivo }}</textarea>
	      </div>
	      {% if reserva %}
	      	{% if reserva.usuarioid.id == sessao.userId %}
	      		<button style="float: right; border: 1px solid black;" type="submit" class="btn btn-default">Alterar</button>
	      		<button style="float: right; border: 1px solid black; margin-right: 2%;" type="button" class="btn btn-danger" data-toggle="modal" data-target="#exreserva">Excluir</button>

				
				<!-- Modal -->
				<div class="modal fade" id="exreserva" tabindex="-1" role="dialog" aria-labelledby="exreservaLabel" aria-hidden="true">
				  <div class="modal-dialog" role="document">
				    <div class="modal-content">
				      <div class="modal-header">
				        <h5 class="modal-title" id="exreservaLabel">Atenção</h5>
				        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
				          <span aria-hidden="true">&times;</span>
				        </button>
				      </div>
				      <div class="modal-body">
				        Tem certeza que deseja desmarcar o agendamento?
				      </div>
				      <div class="modal-footer">
				        <button type="button" class="btn btn-secondary" data-dismiss="modal">Não</button>
				        <a href="{{ path_for('agenda.delete', {id:reserva.id} ) }}" class="btn btn-danger">Sim</a>
				      </div>
				    </div>
				  </div>
				</div>	      		
	      	{% endif %}
	      {% else %}
	      	<button style="float: right; border: 1px solid black;" type="submit" class="btn btn-default">Agendar</button>
	      {% endif %}
	  </div>
	</form>
{% endblock %}